Package org.apache.calcite.avatica.util

## Class AbstractCursor.BinaryFromStringAccessor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl
  - - org.apache.calcite.avatica.util.AbstractCursor.StringAccessor
    - - org.apache.calcite.avatica.util.AbstractCursor.BinaryFromStringAccessor

All Implemented Interfaces:
  `Cursor.Accessor`

Enclosing class:
  AbstractCursor

    private static class AbstractCursor.BinaryFromStringAccessor
    extends AbstractCursor.StringAccessor

Accessor that assumes that the underlying value is a `String`, encoding `Types.BINARY` and `Types.VARBINARY` values in Base64 format.

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getter`

### Constructor Summary

Constructors
`private` `BinaryFromStringAccessor​(AbstractCursor.Getter getter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`private byte[]` `getBase64Decoded()`
`byte[]` `getBytes()`
`java.lang.Object` `getObject()`
`java.lang.String` `getString()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getCharacterStream, getClob, getDate, getDouble, getFloat, getInt, getLong, getNCharacterStream, getNClob, getNString, getObject, getObject, getRef, getShort, getSQLXML, getStruct, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryFromStringAccessor

    private BinaryFromStringAccessor​(AbstractCursor.Getter getter)

### Method Detail

#### getObject

    public java.lang.Object getObject()
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `Cursor.Accessor`
Overrides:
  `getObject` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes()
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `Cursor.Accessor`
Overrides:
  `getBytes` in class `AbstractCursor.StringAccessor`
Throws:
  `java.sql.SQLException`

#### getBase64Decoded

    private byte[] getBase64Decoded()
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString()
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `Cursor.Accessor`
Overrides:
  `getString` in class `AbstractCursor.StringAccessor`
Throws:
  `java.sql.SQLException`